=== docs/requirements.txt ===
sphinx-rtd-theme>=1.0.0
sphinx-click>=4.1.0
myst-parser>=0.17.2
sphinx-autobuild>=2021.3.14
Sphinx>=4.5.0
sphinxcontrib-apidoc>=0.3.0
sphinx-autodoc-typehints>=1.18.2
