=== tests/test-templates/no-templates/{{cookiecutter.project_slug}}/requirements.txt ===
pip
{% if cookiecutter.command_line_interface|lower == 'click' -%}
Click{% endif %}
{% if cookiecutter.use_pytest == 'y' -%}
pytest{% endif %}
