=== tests/test-templates/super/{{cookiecutter.project_slug}}/requirements.txt ===
{% extends "base-requirements.jinja" %}
{% block dev_dependencies %}{{ super() }}{% endblock %}
