=== debian/changelog ===
cookiecutter (2.6.0-1) unstable; urgency=medium

  * Team Upload.

  [ Alexandre Detiste ]
  * New upstream version 2.5.0 (Closes: #1040040, #1013279)
  * update watch file for new GitHub API
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no
  * d/patches:
    * refresh 0001-Don-t-test-for-.DS_Store
    * remove 0002-Use-PyYAML-instead-of-poyo, merged upstream
    * redo 0003-Remove-all-privacy-breach-images-from-documentation
    * disable 0004-Fix-relative-path-that-come-from-Jinja2
  * build-dependencies:
    * remove python3-mock
    * remove python3-recommonmark
    * add python3-arrow
    * add python3-rich
    * add python3-sphinx-click
    * add python3-myst-parser
    * add python3-sphinx-autodoc-typehints
  * disable test_generate_file_does_not_translate_crlf_newlines_to_lf
  * mark python-cookiecutter-doc 'Multi-Arch: foreign'
  * bump Standards Version to 4.6.2, no further change needed

  [ Emmanuel Arias ]
  * d/salsa-ci.yml: Ensable salsa-ci.
  * d/patches/0004-Fix-relative-path-that-come-from-Jinja2.patch:
     Add Bug-Debian variable to the patch to follow DEP-3.

  [ Andreas Tille ]
  * Real team maintenance in DPT (with permission in
    https://lists.debian.org/debian-python/2024/02/msg00072.html)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove field Testsuite on binary packages cookiecutter,
    python-cookiecutter-doc that duplicates source.
  * Add upstream metadata
  * Build-Depends: python3-sphinxcontrib.apidoc

 -- Andreas Tille <tille@debian.org>  Wed, 28 Feb 2024 11:26:16 +0100
