=== debian/control ===
Source: cookiecutter
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               git,
               python3-all,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-sphinx-autodoc-typehints,
               python3-sphinx-click,
               python3-sphinxcontrib.apidoc,
               python3-setuptools,
               python3-jinja2,
               python3-jinja2-time,
               python3-binaryornot,
               python3-yaml,
               python3-pytest,
               python3-pytest-mock,
               python3-pytest-cov,
               python3-click,
               python3-freezegun,
               python3-requests,
               python3-slugify,
               python3-arrow,
               python3-rich,
               python3-myst-parser
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/cookiecutter
Vcs-Git: https://salsa.debian.org/python-team/packages/cookiecutter.git
Homepage: https://github.com/cookiecutter/cookiecutter
Rules-Requires-Root: no

Package: cookiecutter
Architecture: all
Section: devel
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-cookiecutter (= ${binary:Version})
Suggests: python-cookiecutter-doc
Description: create projects from project templates
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).

Package: python3-cookiecutter
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-ruamel.yaml
Suggests: python-cookiecutter-doc
Description: create projects from project templates (Python 3 module)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the Python 3 module.

Package: python-cookiecutter-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: cookiecutter
Description: create projects from project templates (documentation)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the documentation.
