=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=cookiecutter
export PYBUILD_TEST_PYTEST=1
export LC_ALL=C.UTF-8
export DISABLE_NETWORK_TESTS=1
export PYBUILD_TEST_ARGS=-k 'not test_generate_file_does_not_translate_crlf_newlines_to_lf'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ \
		debian/python-cookiecutter-doc/usr/share/doc/python-cookiecutter-doc/html/

override_dh_auto_clean:
	dh_auto_clean
	find . \( -name '*.py[co]' -or -name '\._*' -or -name '\.DS_Store' \) -delete

override_dh_install:
	dh_install
	# Move cookiecutter executable in its dedicated package
	mkdir -p debian/cookiecutter/usr
	mv debian/python3-cookiecutter/usr/bin debian/cookiecutter/usr/.
	rm -rf debian/python3-cookiecutter/usr/bin
	# Remove coverage files
	rm debian/python*-cookiecutter/usr/lib/python*/dist-packages/.coverage
