=== debian/watch ===
version=4
opts=filenamemangle=s/v?(\d\S*)\.tar\.gz/cookiecutter-$1.tar.gz/ \
  https://github.com/cookiecutter/cookiecutter/tags .*/v?(\d\S*)\.tar\.gz
